sc::ShellExtent Class Reference
Inheritance diagram for sc::ShellExtent:
[legend]
Collaboration diagram for sc::ShellExtent:
[legend]

## Public Member Functions

void | init (const Ref< GaussianBasisSet > &, double resolution=1.0, double tolerance=DBL_EPSILON)
const std::vector< ExtentData > & | contributing_shells (int x, int y, int z)
| Returns the shells that are nonzero at coordinates x, y, z. More...
const std::vector< ExtentData > & | contributing_shells (double x, double y, double z)
void | print (std::ostream &o=ExEnv::out0())
const int * | n () const
int | n (int ixyz) const
double | lower (int ixyz) const
double | upper (int ixyz) const
double | resolution () const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Member Function Documentation

const std::vector<ExtentData>& sc::ShellExtent::contributing_shells | ( | int | x,
|  | int | y,
|  | int | z
| ) |  |

inline

Returns the shells that are nonzero at coordinates x, y, z.

The shells numbers are in ascending order.

The documentation for this class was generated from the following file:

- extent.h